Get
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/aws/access-grants/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/aws/access-grants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/aws/access-grants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0f9a1c3e-5b7d-4c21-9e8f-2a6b4d10c7f3",
"organizationId": "dc16d897-7f52-4b73-be57-96c7c9a853da",
"tenantId": "42749bc1-c99b-4c2c-a081-a6cda9370081",
"integrationId": "458511a1-9bc2-4fce-97a0-0e3139588e6e",
"assetId": "prn:assets:458511a1-9bc2-4fce-97a0-0e3139588e6e:aws:s3:bucket:ap-southeast-2:acme-prod-exports",
"resourceType": "AWS::S3::Bucket",
"awsAccountId": "111122223333",
"region": "ap-southeast-2",
"assetName": "acme-prod-exports",
"service": "AWS::S3",
"grantType": "resource_policy_statement",
"mechanism": "resource_policy",
"principal": "arn:aws:iam::444455556666:root",
"principalType": "aws_account",
"principalLabel": "Vendor - External",
"principalDetail": null,
"principalAccountId": "444455556666",
"grantScope": "cross-org",
"grantOrigin": "external",
"allowedActions": [
"s3:GetObject",
"s3:ListBucket"
],
"allowedNotActions": null,
"conditions": {
"StringEquals": {
"aws:PrincipalOrgID": "o-abc123"
}
},
"blockedByRcp": false,
"rcpStatus": "not-applicable",
"hasRuntimeConditions": true,
"trustStatus": "untrusted",
"grantOwner": "platform-team",
"reviewDecision": "keep",
"reviewComment": "Vendor export feed, contract renewed 2026-07",
"nextReviewAt": "2027-01-31T00:00:00.000Z",
"reviewedBy": "ci-audit-key (API key)",
"reviewedAt": "2026-07-20T05:41:09.000Z",
"reviewHistory": [
{
"reviewedBy": "my-api-key (API key)",
"reviewedAt": "2026-07-20T05:41:09.000Z",
"decision": "keep",
"owner": "platform-team",
"comment": "Vendor export feed, contract renewed 2026-07",
"nextReviewAt": "2027-01-31T00:00:00.000Z"
}
],
"firstObservedAt": "2026-05-14T02:11:47.000Z",
"lastObservedAt": "2026-07-28T01:03:12.000Z"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}Get an access grant by ID
Fetch a single access grant by its ID.
GET
/
v1
/
tenant
/
aws
/
access-grants
/
{id}
Get
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Path Parameters
The ID of the access grant. A value that is not a UUID returns a 400.
Response
The access grant
Show child attributes
Show child attributes
Was this page helpful?
⌘I